<?xml version="1.0" encoding="UTF-8"?>
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns="http://www.xemelios.org/namespaces#cg-1.0" targetNamespace="http://www.xemelios.org/namespaces#cg-1.0">
    <xs:include schemaLocation="../TPied.xsd"/>
    <xs:include schemaLocation="TEnteteBalanceGenerale.xsd"/>
    <xs:include schemaLocation="TLigneBalanceGenerale.xsd"/>
    
        <xs:complexType name="TPageBalanceGenerale">
            <xs:sequence>
                <xs:element name="EnteteBalanceGenerale" type="TEnteteBalanceGenerale" maxOccurs="1"/>
                <xs:element name="LigneBalanceGenerale" type="TLigneBalanceGenerale" maxOccurs="unbounded"/>
                <xs:element name="Pied" type="TPied" maxOccurs="1"/>
            </xs:sequence>
            <xs:attribute name="CodeEdition" use="required">
                <xs:simpleType>
                    <xs:restriction base="xs:string">
                        <xs:length value="4"/>                        
                        <xs:enumeration value="CG51"/>                                                
                    </xs:restriction>
                </xs:simpleType>
            </xs:attribute>
            <xs:attribute name="Modele" use="required">
                <xs:simpleType>
                    <xs:restriction base="xs:string">
                        <xs:length value="2"/>                        
                        <xs:enumeration value="17">
                            <xs:annotation>
                                <xs:documentation>Relatif à la Balance des Comptes de la M14</xs:documentation>
                            </xs:annotation>
                        </xs:enumeration>                                                
                        <xs:enumeration value="23">
                            <xs:annotation>
                                <xs:documentation>Relatif à la Balance des Comptes de la M22</xs:documentation>
                            </xs:annotation>
                        </xs:enumeration>
                        <xs:enumeration value="15">
                            <xs:annotation>
                                <xs:documentation>Relatif à la Balance générale des Comptes de la M31</xs:documentation>
                            </xs:annotation>
                        </xs:enumeration>
                    </xs:restriction>
                </xs:simpleType>
            </xs:attribute>
        </xs:complexType>
</xs:schema>